#!/bin/zsh
#compdef texspell

typeset -A opt_args

args+=(
  '(-a --all)*'{-a,--all}'[All]'
  '(-c --clean)*'{-c,--clean}'[Should clean or not]'
  '(-o --clean-only)*'{-o,--clean-only}'[Remove all files generated by texspell]'
  '--config[Chose a config file]:file:_files -g \*.cfg'
  '(-d --dict)*'{-d,--dict}'[Chose a dict]:file:_files'
  '(-h --help)*'{-h,--help}'[Get some help]'
  '(-m --modified)*'{-m,--modified}'[Work only on modified files]'
  '--max-suggestions[Maximum number of suggestions]:int:'
  '--no-max-suggestions[Sets maximum number of suggestions to -1]'
  '--no-report[Do not print a report]'
  '(-s --single-file)*'{-s,--single-file}'[To check only the selected file]'
  '--verbosity[Level of verbosity]:int:(( 0 1 2 ))'
  '(-v --version)*'{-v,--verbose}'[Version of texpsell]'
)

tokens=("${(z)BUFFER}")
lastWord="${tokens[-1]}"
case  "$lastWord" in
  (--verbosity)
   ## Do nothing
    ;;
  (*)
    _files -g \*.tex
  ;;
esac

_arguments "${args[@]}" && ret=0
return ret

#doc https://blog.kloetzl.info/how-to-write-a-zsh-completion/
#doc (not used here) https://wikimatze.de/writing-zsh-completion-for-padrino/
